#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin>>n;
    int a[n];
    int b[n];
    for (int i=0; i<n; i++) {
        b[i]=0;
    }
    for (int i=0; i<n; i++) {
        cin>>a[i];
    }
    int r=1;
    int r2=0;
    int sum=a[n-1];
    for (int i=n-2; i>=0; i--) {
        if (a[i+1]==a[i]) {
            sum+=a[i]-r2;
        }
        else {
            sum+=a[i]-r;
            r2++;
        }
        r++;
        //cout << sum << endl;
    }
    cout << sum;
}
